1. Home
  2. Docs
  3. Bootstrap Visuals for Confluence
  4. Free and License Macros

Free and License Macros

Bootstrap Visuals for Confluence Version 3

I didn’t plan to add Bootstrap 5 visuals to the plugin because I find that there are no major changes to it compared to version 4. However, I received many request to do so, e.g. because of the slightly different color shades, superscript badges, the toast object or the Multi Progress Bar container. Ok then. The new major version 3 of Bootstrap Visuals for Confluence now supports Bootstrap 5 visuals as well.

Everything so far stays free

Early in the days of this plugin I stated that it will stay free. And it will in regards to everything in it up to version 2.x. So if you are using the plugin in any earlier version now, you can still upgrade and all your current macros will remain free.

New macros require a license

Even though Bootstrap itself is a free set of visual styles, building and maintaining a Confluence plugin for them is considerable effort. I ask for your understanding that the new Bootstrap 5 macros require a proper license for a small fee.

FAQ

What happens to the free macros when I upgrade to version 3 ?

Nothing. They will all continue to work and they will remain free of charge.

How can the current macros stay free when I need to pay for an upgrade?

You don’t need to pay for an upgrade. You can upgrade the plugin from your UPM and simply let the trial expire. The old macros will continue to work.

If I don’t pay for a license, will all the macros still work?

If you install the upgrade and let the trial expire, all old macros (up to version 2.x) will continue work. All new macros based on Bootstrap 5 will cause a popup to appear asking you to get a proper license.

How can I upgrade but not pay for a license because I only want to use the old macros?

You can upgrade the plugin by starting the 30 days trial. You can simply let it expire. All old macros will still work. The new macros will show a popup after the trial on any page you use them.

What about security and bugfixes when I stay with the old version?

Version 2.x will not be further maintained. I recommend to upgrade to version 3 and further versions (and let it expire) in order to get all non-feature related fixes and updates.

I want to upgrade to version 3 but only use the old macros. How can I hide the new ones to my users?

In the UPM, drop down the section of the Bootstrap Visuals for Confluence plugin. Then click on “27 of 36 modules enabled” link. A list with all available modules will drop down. You can disable all macros you don’t want to offer to your users.

What old/new macros are available?

Alert Alert 5
Badge Badge 5
Button Button 5
Button Group Button Group 5
Callout Callout 5
Card Card 5
Jumbotron -not supported in Bootstrap 5 anymore-
List Group List Group 5
List Group Item List Group Item 5
Panel -not supported in Bootstrap 5 anymore-
Progress Bar Progress Bar 5
Spacer -not a Bootstrap visual-
Spinner Spinner 5
-not available in Bootstrap 4- Toast

 

Was this article helpful to you? Yes 2 No

Leave a Reply

Your email address will not be published.